/* ==========================================================================
  MENU
  ===========================================================================*/

.menu {

  @include mq('desktop', 'max') {
    position: fixed;
    right: 0;
    top: 0;
    width: 100%;
    height: 100vh;
    padding-top: 30px;
    padding-bottom: 30px;
    max-width: 400px;
    background-color: $color-white;
    z-index: z(menu);
    overflow: auto;
    transform: translateX(100%);
    transition: .3s ease;

    &.menu_open {
      transform: translateX(0%);
      transition: .3s ease;
    }
  }
}

.menu__list {
  display: flex;

  @include mq('desktop', 'max') {
    flex-direction: column;
    align-items: center;
    height: 100%;
  }

  > .menu__item {

    > a {
      display: block;
      text-align: center;

      @include mq('desktop') {
        display: inline-flex;
        padding: 10px 12px;
      }
    }
  }
}

.menu__item {

  @include mq('desktop') {
    position: relative;

    &:hover {

      > .menu__sublist {
        display: block;
      }
    }
  }

  @include mq('desktop', 'max') {
    display: block;
    width: 100%;
    text-align: center;
  }

  a{
    position: relative;
    font-weight: $font-weight-regular;
    font-size: 13px; // no variable
    color: $color-black-light;
    text-decoration: none;

    &:after {
      content: '';
      display: block;
      position: absolute;
      top: 100%;
      left: 0;
      right: 0;
      width: 49px;
      height: 2px;
      margin: 0 auto;
      background-color: $color-primary;
      transform: scale(0);
      transition: .3s ease-in;
    }

    &:hover {
      color: $color-primary;
    }

    &:active {

      @include mq('desktop', 'max') {
        color: $color-primary;
      }
    }

    @include mq('desktop', 'max') {
      padding: 18px 0;
      font-size: $font-size-primary;
    }

    @include mq('tablet', 'max') {
      padding: 15px 0;
      font-size: $font-size-primary-smaller;
    }

    &.active {
      color: $color-primary;

      &::after {
        transform: scale(1);
        transition: .3s ease-in-out;
      }
    }
  }

  > a {

    @include mq('desktop') {
      text-transform: uppercase;
    }
  }
}

.menu__sublist {

  @include mq('desktop') {
    position: absolute;
    top: 100%;
    left: 0;
    min-width: 300px;
    display: none;
    padding: 10px;
    background-color: $color-white;

    &::before {
      content: '';
      position: absolute;
      top: 0;
      left: 20px;
      width: 49px;
      height: 2px;
      background-color: $color-primary;
    }
  }

  a {
    display: block;
    padding: 6px 10px;
  }
}

.menu-ovelay {
  position: fixed;
  top:0;
  left: 0;
  right: 0;
  height: 100vh;
  z-index: z(header) - 2;
  background-color: rgba($color-black, .5);
  opacity: 0;
  pointer-events: none;
  transition: .3s ease;

  &.menu-ovelay_visible {
    opacity: 1;
    pointer-events: auto;
    transition: .3s ease;
  }


  @include mq('desktop') {
    display: none;
  }
}

body.locked {
  @include mq('desktop', 'max') {
    overflow: hidden;
  }
}

/* end menu */
